org.apache.ignite.internal.processors.cache

## Class GridCacheLockTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.processors.cache.GridCacheLockTimeoutException

All Implemented Interfaces:
  Serializable

    public class GridCacheLockTimeoutException
    extends Exception

Used to internally indicate that lock acquisition has timed out.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheLockTimeoutException(GridCacheVersion ver)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheLockTimeoutException

    public GridCacheLockTimeoutException(GridCacheVersion ver)

Parameters:
  `ver` - Lock version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022